> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new visit cost

> Operacion: Create a new visit cost.



## OpenAPI

````yaml /generated/specs/operations.json post /api/v1/visit_cost
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/visit_cost:
    post:
      tags:
        - Visit Costs
      summary: Create a new visit cost
      description: 'Operacion: Create a new visit cost.'
      operationId: VisitCostController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateVisitCostDto'
      responses:
        '201':
          description: Visit cost created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VisitCostResponseDto'
      security:
        - bearerAuth: []
components:
  schemas:
    CreateVisitCostDto:
      type: object
      properties:
        visit_detail_id:
          type: string
          description: Visit detail ID
        technician_cost:
          type: number
          description: Technician cost
        cost_per_km_technician:
          type: number
          description: Cost per km for technician
        km_traveled:
          type: number
          description: Km traveled
        tolls:
          type: number
          description: Tolls
        cost_km_per_km_traveled:
          type: number
          description: Cost per km traveled
        additional_cost:
          type: number
          description: Additional cost
        cost_type_id:
          type: number
          description: Cost type ID
        technician_cost_status:
          type: boolean
          description: Technician cost status
        client_cost_status:
          type: boolean
          description: Client cost status
        client_cost:
          type: number
          description: Client cost
        cost_per_km_client:
          type: number
          description: Cost per km for client
        km_traveled_client:
          type: number
          description: Km traveled for client
        client_currency:
          type: number
          description: Client currency
        technician_currency:
          type: number
          description: Technician currency
        technician_payed:
          type: boolean
          description: Technician payed
      required:
        - visit_detail_id
    VisitCostResponseDto:
      type: object
      properties:
        visit_cost_id:
          type: number
          description: Visit cost ID
        visit_detail_id:
          type: string
          description: Visit detail ID
        technician_cost:
          type: object
          description: Technician cost
        cost_per_km_technician:
          type: object
          description: Cost per km for technician
        km_traveled:
          type: object
          description: Km traveled
        tolls:
          type: object
          description: Tolls
        cost_km_per_km_traveled:
          type: object
          description: Cost per km traveled
        additional_cost:
          type: object
          description: Additional cost
        cost_type_id:
          type: object
          description: Cost type ID
        technician_cost_status:
          type: object
          description: Technician cost status
        client_cost_status:
          type: object
          description: Client cost status
        client_cost:
          type: object
          description: Client cost
        cost_per_km_client:
          type: object
          description: Cost per km for client
        km_traveled_client:
          type: object
          description: Km traveled for client
        client_currency:
          type: object
          description: Client currency
        technician_currency:
          type: object
          description: Technician currency
        technician_payed:
          type: object
          description: Technician payed
      required:
        - visit_cost_id
        - visit_detail_id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````